curl
curl -sS "https://gateway.orbit/api/v1/broadcasting/auth?socket_id=1&channel_name=1" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81'
{
"data": {},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Realtime
Authorize the orbit broadcast channel
A Pusher-protocol channel authorization endpoint. A client requests access to the private orbit channel with its socket_id and channel_name; any active WireGuard peer Node is authorized.
GET
/
api
/
v1
/
broadcasting
/
auth
curl
curl -sS "https://gateway.orbit/api/v1/broadcasting/auth?socket_id=1&channel_name=1" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81'
{
"data": {},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}